
Packaging - Feature #24080

Add support for Ubuntu 18.04 LTS (Bionic Beaver)

06/26/2018 03:15 PM - Mateusz Gozdek

Status: Closed   

Priority: Low   

Assignee:    

Category: Debian/Ubuntu   

Target version:    

Difficulty:  Fixed in Releases: 1.19.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It would be cool to get packages for `bionic` before  July 26th, when 18.04.1 is released and upgrade will become available for

servers.

I found this thread (https://community.theforeman.org/t/foreman-installer-and-apt-support-for-ubuntu-18-04-bionic/9798) on the

forum, but it would be nice to have a ticket to track progress on it.

Related issues:

Blocked by Foreman - Tracker #22103: Support Ruby 2.5 Resolved

History

#1 - 06/26/2018 07:30 PM - Anonymous

- Status changed from New to Pending

- Priority changed from Normal to Low

- Assignee set to Anonymous

It would be cool if puppetlabs would deliver the respective supoprt for it. Before that, we are blocked.

#2 - 06/27/2018 09:06 AM - Mateusz Gozdek

I assume you are talking about modules updates with bionic support. About which modules are you talking about exactly? Only

puppetlabs-postgresql? Are there issues opened upstream to address that, so we can block on it? Blocking without a reference make no sense IMO :)

#3 - 06/27/2018 10:29 AM - Anonymous

All the modules, we're using in the installer (I'm checking this, once puppetserver is there)

puppet-agent package (that's already there)

puppetserver package (missing at the moment)

Maybe I forgot something

Are there issues opened upstream to address that, so we can block on it?

 I don't know

#4 - 07/19/2018 09:53 AM - Michael Gooden

- Triaged set to No

puppetserver has been released for Ubuntu 18.04 LTS.

A quick investigation attempting to use the existing Xenial packages shows a requirement on Ruby 2.3, Bionic appears to only ship Ruby 2.5 (which

according to a ticket here https://projects.theforeman.org/issues/22103 is not yet supported under The Foreman anyway?)

I have an ancient installation on Ubuntu 14.04 that I would like to replace with an Ubuntu 18.04 instance, so please let me know if I can help test any

nightlies for you.
#5 - 07/19/2018 10:26 AM - Anonymous

Pretty, please, wait for us to announce support. We have it on our radar.

#6 - 07/19/2018 10:32 AM - Anonymous

- Blocked by Tracker #22103: Support Ruby 2.5 added

#7 - 08/25/2018 11:07 AM - Anonymous

- Status changed from Pending to Closed

- Fixed in Releases 1.19.0 added

Powered by TCPDF (www.tcpdf.org)

05/09/2024 2/2

http://www.tcpdf.org

